public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/libidn/
Date: Thu,  5 Jul 2018 16:30:31 +0000 (UTC)	[thread overview]
Message-ID: <1530808004.4ca31014e3aa2474be5b38527c85fcea65d3d82d.jer@gentoo> (raw)

commit:     4ca31014e3aa2474be5b38527c85fcea65d3d82d
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  5 16:26:44 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Jul  5 16:26:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ca31014

net-dns/libidn: Version 1.33-r99.

Package-Manager: Portage-2.3.41, Repoman-2.3.9

 net-dns/libidn/Manifest               |  1 +
 net-dns/libidn/libidn-1.33-r99.ebuild | 59 +++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/net-dns/libidn/Manifest b/net-dns/libidn/Manifest
index 8351a9011db..4f4d621296f 100644
--- a/net-dns/libidn/Manifest
+++ b/net-dns/libidn/Manifest
@@ -1,2 +1,3 @@
+DIST libidn-1.33-security_backports-01.tar.xz 3420 BLAKE2B c0311d83dee53b83bceab7777e9508ffdc2737e31eec71dc7e67b29ee75cdcef8558db0e89d857ed8c402980fdd7c3419fbb123eba91dddc2358a06684114811 SHA512 e925d20c9258b47821d444c563c75f09f003d1c6b367c934a808242ce4c259ff83e9d67e886cb3e832117df1cd9cae4b18417c48fbf9c77266ab379d3afcd4f4
 DIST libidn-1.33.tar.gz 3501056 BLAKE2B ce6319dc61dd825cf7ddb33f4279c178709e16ce2815c3d1a464bba6b5c6cc493107a10a686f349247a0d6023b1b834a650046e68da9f2f559870dba13a59384 SHA512 38dd459eaeda0c9e3cc2d24d967113515a499747550a2a9157f32357def90d71a3a3b52398e96a44a28cd5948dc353b0473c4ff0453a69720191c4cb49cac2c6
 DIST libidn-1.35.tar.gz 4169217 BLAKE2B 809f9e854a4f2fcd3b2d5f7cdb34e2c68a0f00f5fcffc9002ead2d2d3dcee38022b3288f29716437f65f09e259e35cc98679d9c9d943423190cebb76fcbc94fa SHA512 782260f73b1fd8ebea8a40e2b3a6866c4f67494b2b3df03748daa9c0f842a9578932e746eb4bbf2547fccb1d65d7fc99a7977759dbe58f87f2fdd26d0fe45a09

diff --git a/net-dns/libidn/libidn-1.33-r99.ebuild b/net-dns/libidn/libidn-1.33-r99.ebuild
new file mode 100644
index 00000000000..716d6cce3a8
--- /dev/null
+++ b/net-dns/libidn/libidn-1.33-r99.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools multilib-minimal libtool
+
+DESCRIPTION="Internationalized Domain Names (IDN) implementation"
+HOMEPAGE="https://www.gnu.org/software/libidn/"
+SRC_URI="
+	mirror://gnu/libidn/${P}.tar.gz
+	https://dev.gentoo.org/~polynomial-c/${P}-security_backports-01.tar.xz
+"
+
+LICENSE="GPL-2 GPL-3 LGPL-3"
+SLOT="1.33"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="!<${CATEGORY}/${PN}-1.35:0"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.33-parallel-make.patch
+)
+
+src_prepare() {
+	default
+
+	eapply "${WORKDIR}"/patches
+
+	# breaks eautoreconf
+	sed '/AM_INIT_AUTOMAKE/s@ -Werror@@' -i configure.ac || die
+	# Breaks build because --disable-gtk-doc* gets ignored
+	sed '/^SUBDIRS/s@ doc@@' -i Makefile.am || die
+	eautoreconf
+	elibtoolize  # for Solaris shared objects
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		--disable-java
+		--disable-csharp
+		--disable-nls
+		--disable-static
+		--disable-silent-rules
+		--disable-valgrind-tests
+		--with-packager-bug-reports="https://bugs.gentoo.org"
+		--with-packager-version="r${PR}"
+		--with-packager="Gentoo"
+	)
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+	# only run libidn specific tests and not gnulib tests (bug #539356)
+	emake -C tests check
+}
+
+multilib_src_install() {
+	dolib.so lib/.libs/libidn.so.11*
+}


             reply	other threads:[~2018-07-05 16:30 UTC|newest]

Thread overview: 112+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-05 16:30 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-24  8:49 [gentoo-commits] repo/gentoo:master commit in: net-dns/libidn/ Michał Górny
2024-02-24  2:44 Ionen Wolkens
2024-02-09  1:04 Sam James
2024-02-08 17:10 Arthur Zamarin
2024-02-08 15:28 Michał Górny
2024-02-08 15:28 Michał Górny
2024-02-08 15:28 Michał Górny
2024-02-08 14:48 Michał Górny
2024-02-08 14:48 Michał Górny
2024-01-14  2:46 Sam James
2022-07-30 11:19 Michał Górny
2022-07-30  9:51 Arthur Zamarin
2022-07-26 15:20 Agostino Sarubbo
2022-07-26 15:19 Agostino Sarubbo
2022-07-26 15:18 Agostino Sarubbo
2022-07-26 15:16 Agostino Sarubbo
2022-07-26  4:27 Sam James
2022-07-26  4:15 Sam James
2022-06-26  6:27 Sam James
2022-06-22  4:39 Sam James
2022-06-21 22:01 Sam James
2022-06-21 22:01 Sam James
2022-05-17 11:54 WANG Xuerui
2021-11-19 14:04 Michał Górny
2021-11-19 13:38 Jakov Smolić
2021-11-18 14:00 Jakov Smolić
2021-11-18  9:09 Sam James
2021-11-18  9:09 Sam James
2021-11-16  2:53 Sam James
2021-11-15  1:12 Sam James
2021-10-07  6:37 Sam James
2021-07-31 13:40 Michał Górny
2021-07-22 23:16 Sam James
2021-07-22 21:52 Sam James
2021-07-22 17:49 Sam James
2021-06-29  4:57 Sam James
2021-06-25 19:36 Sam James
2021-06-19 21:10 Sergei Trofimovich
2021-06-17 20:24 Sam James
2021-06-17 20:24 Sam James
2021-06-17 20:24 Sam James
2021-06-17 20:24 Sam James
2021-06-17 20:23 Sam James
2021-05-17 22:24 Sam James
2021-05-17 22:24 Sam James
2021-03-21 19:00 David Seifert
2021-01-06 14:36 Fabian Groffen
2020-12-27 17:50 Fabian Groffen
2020-11-18  8:47 Michał Górny
2020-11-17 19:05 Agostino Sarubbo
2020-11-13  2:25 Sam James
2020-11-12 21:03 Thomas Deutschmann
2020-11-04 10:51 Sam James
2020-11-04 10:42 Sergei Trofimovich
2020-11-04  8:16 Sergei Trofimovich
2020-11-04  7:58 Sergei Trofimovich
2020-11-04  7:53 Sergei Trofimovich
2020-11-04  6:54 Sam James
2020-11-03 22:23 Michał Górny
2020-11-03 22:23 Michał Górny
2020-09-07 12:00 Yixun Lan
2020-07-22 17:05 Jeroen Roovers
2020-02-24  9:56 Agostino Sarubbo
2018-10-27 12:31 Fabian Groffen
2018-07-05 16:30 Jeroen Roovers
2018-05-27 15:03 Mikle Kolyada
2018-05-26 10:06 Mart Raudsepp
2018-05-25  4:18 Matt Turner
2018-05-25  4:18 Matt Turner
2018-05-19  9:26 Sergei Trofimovich
2018-05-16 21:19 Sergei Trofimovich
2018-05-15 19:54 Mikle Kolyada
2018-05-14 21:19 Tobias Klausmann
2018-05-14 10:51 Jeroen Roovers
2018-05-14  8:27 Jeroen Roovers
2018-05-13 23:45 Aaron Bauman
2018-05-13 22:06 Thomas Deutschmann
2018-05-13 16:18 Jeroen Roovers
2018-05-13 16:18 Jeroen Roovers
2018-04-03 17:36 Jeroen Roovers
2018-04-03 17:36 Jeroen Roovers
2018-03-12  1:56 Matt Turner
2018-03-04 13:22 Jeroen Roovers
2018-03-04 10:12 Sergei Trofimovich
2018-03-03 14:17 Mart Raudsepp
2018-02-05 23:21 Sergei Trofimovich
2018-02-05 21:27 Markus Meier
2018-01-28 18:23 Tobias Klausmann
2018-01-26 18:21 Thomas Deutschmann
2018-01-23 16:41 Agostino Sarubbo
2017-10-30  8:18 Jeroen Roovers
2017-10-24  7:50 Jeroen Roovers
2017-10-15 11:23 Jeroen Roovers
2017-10-02  8:25 Jeroen Roovers
2017-03-21 15:46 Michael Haubenwallner
2017-02-24  4:16 Mike Frysinger
2017-01-29 19:33 Fabian Groffen
2017-01-24  8:57 Fabian Groffen
2016-10-21 10:36 Jeroen Roovers
2016-10-01 17:41 Tobias Klausmann
2016-09-29 13:28 Agostino Sarubbo
2016-09-29 12:35 Agostino Sarubbo
2016-09-29  9:35 Agostino Sarubbo
2016-07-27  6:55 Jeroen Roovers
2016-07-27  6:55 Jeroen Roovers
2016-07-26 12:41 Tobias Klausmann
2016-07-24 18:42 Markus Meier
2016-07-23  6:45 Jeroen Roovers
2016-07-21  6:18 Jeroen Roovers
2015-10-18 21:54 James Le Cuirot
2015-10-18 21:54 James Le Cuirot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1530808004.4ca31014e3aa2474be5b38527c85fcea65d3d82d.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox